Gtk2::Socket(3)

NAME
Gtk2::Socket

HIERARCHY
  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Socket

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  widget = Gtk2::Socket->new

  $socket->add_id ($window_id)

    * $window_id (Gtk2::Gdk::NativeWindow)

  nativewindow = $socket->get_id

  $socket->steal ($wid)
    * $wid (Gtk2::Gdk::NativeWindow)

SIGNALS

plug-added (Gtk2::Socket)
boolean = plug-removed (Gtk2::Socket)

SEE ALSO
Gtk2, Glib::Object, Glib::Object::_Unregistered::GInitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.